Skip to main content
GET
/
v2
/
portfolio
/
positions
/
{userAddress}
/
{network}
/
{vaultAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/portfolio/positions/{userAddress}/{network}/{vaultAddress} \
  --header 'x-api-key: <api-key>'
{
  "address": "<string>",
  "network": {
    "name": "mainnet",
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "asset": {
    "address": "<string>",
    "assetCaip": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "assetGroup": "<string>",
    "balanceNative": "<string>",
    "assetLogo": "<string>",
    "assetPriceInUsd": "<string>",
    "balanceUsd": "<string>",
    "unclaimedNative": "<string>",
    "unclaimedUsd": "<string>",
    "positionValueInAsset": "<string>"
  },
  "isTransactional": true,
  "isAppFeatured": true,
  "userEventsIndexed": true,
  "name": "<string>",
  "protocol": {
    "name": "<string>",
    "product": "<string>",
    "version": "<string>",
    "protocolUrl": "<string>",
    "description": "<string>",
    "protocolLogo": "<string>"
  },
  "apy": {
    "base": 123,
    "reward": 123,
    "total": 123
  },
  "apyComposite": {
    "totalApy": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "intrinsicApy": {
      "base": 123,
      "reward": 123,
      "total": 123
    },
    "asset": {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>"
    },
    "vault": {
      "address": "<string>"
    }
  },
  "additionalAssets": [
    {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "balanceNative": "<string>",
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>",
      "balanceUsd": "<string>",
      "unclaimedNative": "<string>",
      "unclaimedUsd": "<string>",
      "positionValueInAsset": "<string>"
    }
  ],
  "lpToken": {
    "address": "<string>",
    "tokenCaip": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "balanceNative": "<string>",
    "balanceUsd": "<string>",
    "unclaimedNative": "<string>",
    "unclaimedUsd": "<string>",
    "positionValueInAsset": "<string>",
    "assetPriceInUsd": "<string>"
  },
  "childrenVaults": [
    {
      "address": "<string>",
      "asset": {
        "address": "<string>",
        "assetCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "assetGroup": "<string>",
        "balanceNative": "<string>",
        "assetLogo": "<string>",
        "assetPriceInUsd": "<string>",
        "balanceUsd": "<string>",
        "unclaimedNative": "<string>",
        "unclaimedUsd": "<string>",
        "positionValueInAsset": "<string>"
      },
      "lpToken": {
        "address": "<string>",
        "tokenCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "balanceNative": "<string>",
        "balanceUsd": "<string>",
        "unclaimedNative": "<string>",
        "unclaimedUsd": "<string>",
        "positionValueInAsset": "<string>",
        "assetPriceInUsd": "<string>"
      },
      "additionalAssets": [
        {
          "address": "<string>",
          "assetCaip": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "decimals": 123,
          "assetGroup": "<string>",
          "balanceNative": "<string>",
          "assetLogo": "<string>",
          "assetPriceInUsd": "<string>",
          "balanceUsd": "<string>",
          "unclaimedNative": "<string>",
          "unclaimedUsd": "<string>",
          "positionValueInAsset": "<string>"
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to be used for best vault calculation

Pattern: ^0x[a-fA-F0-9]{40}$
network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultAddress
string
required

Address of the vault for which the data will be returned

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

apyInterval
enum<string>
default:7day

Interval for APY data. Possible values: 1day, 7day, 30day

Available options:
1day,
7day,
30day

Response

Default Response

address
string
required

Address of the vault

Pattern: ^0x[a-fA-F0-9]{40}$
network
object
required

Network details of the vault

asset
object
required

Asset details of the vault

isTransactional
boolean
required

Indicates if the vault supports transactional endpoints

Indicates if the vault is featured in app.vaults.fyi

userEventsIndexed
boolean
required

Indicates if user events related to the vault are indexed and available in the API

name
string
required

Name of the vault

protocol
object
required

Protocol details of the vault

apy
object
required

APY details of the vault

apyComposite
object

Composite APY data when vault asset is another vault LP token. When present, totalApy compounds the current vault with the underlying vault and intrinsicApy shows the underlying vault's own APY

additionalAssets
object[]

Additional assets of the vault

lpToken
object

LP token details of the vault

childrenVaults
object[]

List of child vaults